{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
	{% endblock begin_javascript_fix %}

	{% block begin_javascript %}
	{{ parent() }}
	{{ modulename }}Obj.prototype = {
		init : function(){
			var t = this;
			{{ modulename }}Obj.superclass.init.call(t);

			const gridConfig = {
				cm: [
					{header: "{{ 'TaskFinishType.orderfield'|trans }}", dataIndex: 'orderfield', width: 60,alias:'tft'},
					{header: "{{ 'TaskFinishType.code'|trans }}", dataIndex: 'code', width: 200,filter:'between',alias:'tft'},
					{header: "{{ 'TaskFinishType.recreate'|trans }}", dataIndex: 'recreate', width: 130,renderer:mj.renderer.check(),filter:'single', type:'check',alias:'tft'}
				]
			};

			t._setGridConfig(gridConfig);

			const formConfig= {
				items: [
					new mj.form.field({
						dataIndex: 'id',
						hidden: true
					}),
					new mj.form.field({
						dataIndex: 'version',
						hidden: true
					}),
					new mj.form.numberField({
						title : "{{ 'TaskFinishType.orderfield'|trans }}",
						dataIndex : 'orderfield',
						labelWidth : '150px',
						width : 50
					}),
					new mj.form.textField({
						title: "{{ 'TaskFinishType.code'|trans }}",
						dataIndex: 'code',
						maxLength: 50,
						labelWidth : '150px',
						width:200,
						grid: 's4 m2'
					}),
					new mj.form.checkBox({
                        title: "{{ 'TaskFinishType.recreate'|trans }}",
                        dataIndex: 'recreate',
                        itemStyle: 'padding:0 35px 0 0;float:left;',
                        labelWidth : '150px',
                        grid: 'none'
                    })
				]
			};
			t._setFormConfig(formConfig);

		}
	};
	{% endblock begin_javascript %}


	{% block begin_default_module %}
	{{ parent() }}
	{% endblock begin_default_module %}



	{% block end_default_module %}
	{{ parent() }}
	{% endblock end_default_module %}


	{% block end_javascript %}
	{{ parent() }}
	{% endblock end_javascript %}


	{% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
	{{ parent() }}
{% endblock body %}
